Copy Constant Border
Image Copy Operations

Methods for copying images and padding borders with a constant, user-specifiable color. More...

## Functions

NppStatus | nppiCopyConstBorder_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp8u nValue, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp8u nValue)
NppStatus | nppiCopyConstBorder_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[3], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[3])
NppStatus | nppiCopyConstBorder_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[4])
NppStatus | nppiCopyConstBorder_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[3], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer image copy with constant border color with alpha channel unaffected. More...
NppStatus | nppiCopyConstBorder_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp8u aValue[3])
NppStatus | nppiCopyConstBorder_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp16u nValue, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp16u nValue)
NppStatus | nppiCopyConstBorder_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[3])
NppStatus | nppiCopyConstBorder_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[4])
NppStatus | nppiCopyConstBorder_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer image copy with constant border color with alpha channel unaffected. More...
NppStatus | nppiCopyConstBorder_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16u aValue[3])
NppStatus | nppiCopyConstBorder_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp16s nValue, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp16s nValue)
NppStatus | nppiCopyConstBorder_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[3], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[3])
NppStatus | nppiCopyConstBorder_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[4])
NppStatus | nppiCopyConstBorder_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[3], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer image copy with constant border color with alpha channel unaffected. More...
NppStatus | nppiCopyConstBorder_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp16s aValue[3])
NppStatus | nppiCopyConstBorder_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp32s nValue, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32s_C1R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp32s nValue)
NppStatus | nppiCopyConstBorder_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32s_C3R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[3])
NppStatus | nppiCopyConstBorder_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32s_C4R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[4])
NppStatus | nppiCopyConstBorder_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer image copy with constant border color with alpha channel unaffected. More...
NppStatus | nppiCopyConstBorder_32s_AC4R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32s aValue[3])
NppStatus | nppiCopyConstBorder_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp32f nValue, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, Npp32f nValue)
NppStatus | nppiCopyConstBorder_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[3], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[3])
NppStatus | nppiCopyConstBorder_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image copy with constant border color. More...
NppStatus | nppiCopyConstBorder_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[4])
NppStatus | nppiCopyConstBorder_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[3], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image copy with constant border color with alpha channel unaffected. More...
NppStatus | nppiCopyConstBorder_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, const Npp32f aValue[3])

## Detailed Description

Methods for copying images and padding borders with a constant, user-specifiable color.

### Common parameters for nppiCopyConstBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSizeROI | Size of the source region of pixels.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstSizeROI | Size (width, height) of the destination region, i.e. the region that gets filled with data from the source image (inner part) and constant border color (outer part).
  nTopBorderHeight | Height (in pixels) of the top border. The number of pixel rows at the top of the destination ROI that will be filled with the constant border color. nBottomBorderHeight = oDstSizeROI.height - nTopBorderHeight - oSrcSizeROI.height.
  nLeftBorderWidth | Width (in pixels) of the left border. The width of the border at the right side of the destination ROI is implicitly defined by the size of the source ROI: nRightBorderWidth = oDstSizeROI.width - nLeftBorderWidth - oSrcSizeROI.width.
  nValue | The pixel value to be set for border pixels for single channel functions.
  aValue | Vector of the RGBA values of the border pixels to be set for multi-channel functions.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopyConstBorder_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer image copy with constant border color with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp16s | nValue
| ) |  |

NppStatus nppiCopyConstBorder_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp16s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[4]
| ) |  |

NppStatus nppiCopyConstBorder_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16s | aValue[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer image copy with constant border color with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp16u | nValue
| ) |  |

NppStatus nppiCopyConstBorder_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp16u | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[4]
| ) |  |

NppStatus nppiCopyConstBorder_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp16u | aValue[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image copy with constant border color with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp32f | nValue
| ) |  |

NppStatus nppiCopyConstBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp32f | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[4]
| ) |  |

NppStatus nppiCopyConstBorder_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32f | aValue[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer image copy with constant border color with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp32s | nValue
| ) |  |

NppStatus nppiCopyConstBorder_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp32s | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[4]
| ) |  |

NppStatus nppiCopyConstBorder_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp32s | aValue[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer image copy with constant border color with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp8u | nValue
| ) |  |

NppStatus nppiCopyConstBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | Npp8u | nValue,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[3]
| ) |  |

NppStatus nppiCopyConstBorder_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

NppStatus nppiCopyConstBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[4]
| ) |  |

NppStatus nppiCopyConstBorder_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | const Npp8u | aValue[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer image copy with constant border color.

For common parameter descriptions, see Common parameters for nppiCopyConstBorder functions.

Copyright © 2009-2018 NVIDIA Corporation